<?php

/**
 * Smart Post Show Pro
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              https://wpsmartpost.com/
 * @since             2.0.0
 * @package           Smart_Post_Show_Pro
 *
 * @wordpress-plugin
 * Plugin Name:       Smart Post Pro
 * Plugin URI:        https://wpsmartpost.com/
 * Description:       <a href="https://wpsmartpost.com/" target="_blank">Smart Post</a> is an Advanced Gutenberg Blocks Library plugin with <b>60+ ready-to-use post blocks</b> to showcase your content beautifully. Create stunning layouts like <b>post grid, post list, post slider, post thumbnail slider, post carousel, news ticker, post timeline,</b> and additional <b>page builder blocks</b>—all with just a few clicks. <br> Perfect for <b>blogs, news, magazines, portfolios</b>, and <b>personal websites</b>. Smart Post is also an excellent choice for niche sites like <b>personal blogs, travel blogs, fashion blogs, food blogs, recipe blogs</b>, and more.
 * Version:           4.0.1
 * Author:            ShapedPlugin, LLC
 * Author URI:        https://shapedplugin.com/
 * Requires PHP:      7.0
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       smart-post-show-pro
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Currently plugin version.
 * Start at version 2.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define( 'SMART_POST_SHOW_PRO_VERSION', '4.0.1' );
define( 'SMART_POST_SHOW_PRO_FILE', __FILE__ );
define( 'SP_PCP_BASENAME', plugin_basename( __FILE__ ) );
define( 'SP_SMART_POST_API_UNIQUE_KEY', '5g734665e504fdaei726453bi3dsec9335f83' );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-smart-post-show-pro-activator.php
 */
function activate_smart_post_show_pro() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-smart-post-show-pro-activator.php';
	Smart_Post_Show_Pro_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-smart-post-show-pro-deactivator.php
 */
function deactivate_smart_post_show_pro() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-smart-post-show-pro-deactivator.php';
	Smart_Post_Show_Pro_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_smart_post_show_pro' );
register_deactivation_hook( __FILE__, 'deactivate_smart_post_show_pro' );

/**
 * The code that runs during plugin updates.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-smart-post-show-pro-updates.php';

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-smart-post-show-pro.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    2.0.0
 */
function run_smart_post_show_pro() {
	$plugin = new Smart_Post_Show_Pro();
	$plugin->run();
}
run_smart_post_show_pro();
